This bugzilla service is closed. All entries have been migrated to https://gitlab.com/libeigen/eigen
Bug 1361 - error: no type named 'Scalar' in 'Eigen::Inverse<Eigen::PermutationMatrix<-1, -1, int> >'
Summary: error: no type named 'Scalar' in 'Eigen::Inverse<Eigen::PermutationMatrix<-1,...
Status: RESOLVED FIXED
Alias: None
Product: Eigen
Classification: Unclassified
Component: Core - expression templates (show other bugs)
Version: 3.3 (current stable)
Hardware: x86 - 64-bit Linux
: Normal Compilation Problem
Assignee: Nobody
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-12-11 15:33 UTC by Allan Leal
Modified: 2019-12-04 16:35 UTC (History)
3 users (show)



Attachments

Description Allan Leal 2016-12-11 15:33:15 UTC
The following code does not compile using Eigen 3.3.1:

~~~
typedef Eigen::MatrixXd Matrix;
typedef Eigen::PermutationMatrix<Eigen::Dynamic, Eigen::Dynamic> PermutationMatrix;

PermutationMatrix Q;
Matrix A = Q.transpose();
~~~

One can fix this by adding:

~~~
typedef typename XprType::Scalar Scalar;
~~~

around line 48 in file `src/Core/Inverse.h`.
Comment 1 Gael Guennebaud 2016-12-13 22:13:57 UTC
Thank you for the report. Fixed:

https://bitbucket.org/eigen/eigen/commits/13cc92c864cf/
3.3:https://bitbucket.org/eigen/eigen/commits/0c1d20374b87/
Comment 2 Nobody 2019-12-04 16:35:29 UTC
-- GitLab Migration Automatic Message --

This bug has been migrated to gitlab.com's GitLab instance and has been closed from further activity.

You can subscribe and participate further through the new bug through this link to our GitLab instance: https://gitlab.com/libeigen/eigen/issues/1361.

Note You need to log in before you can comment on or make changes to this bug.